summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2019-06-30 10:59:41 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2019-06-30 21:11:18 +0100
commit7dcd41932bc717336931920636b073c02e6b38f7 (patch)
tree518171da4df43fd67f837b035cefbc4335a4a9ff /tests
parent14032a211e887f6d69408ba15f4c948f0b1c2e1d (diff)
test suite: lib-baredebian: Tolerate uvtag not being set
No functional change with the existing test. Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests')
-rw-r--r--tests/lib-baredebian6
1 files changed, 4 insertions, 2 deletions
diff --git a/tests/lib-baredebian b/tests/lib-baredebian
index f4ed421..368aa78 100644
--- a/tests/lib-baredebian
+++ b/tests/lib-baredebian
@@ -48,9 +48,11 @@ baredebian-test-core () {
t-dgit -wn --quilt=$quiltmode --dgit-view-save=split.b quilt-fixup
t-dgit -wn --quilt=$quiltmode --dgit-view-save=split.p --new push
- git merge-base --is-ancestor $uvtag split.p
git merge-base --is-ancestor HEAD split.p
- set +e; git merge-base HEAD $uvtag; rc=$?; set -e; [ $rc = 1 ]
+ if [ "$uvtag" ]; then
+ git merge-base --is-ancestor $uvtag split.p
+ set +e; git merge-base HEAD $uvtag; rc=$?; set -e; [ $rc = 1 ]
+ fi
git clean -xdff
# t-pushed-good-* wants a clean tree to start with, but this